Skip to content

list_comments

GET
/rum/{app_id}/comments
curl --request GET \
--url 'https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments?target=example' \
--header 'Authorization: Bearer <token>'
app_id
required
string format: uuid
target
required
string

Session: or error:<16 hex fingerprint>.

limit
integer format: int32

Maximum 100, default 50. Comments are oldest first.

cursor
string format: uuid

UUID returned by next_cursor. Must belong to this target.

Media type application/json
object
comments
required
Array<object>
object
mention_delivery
One of:
null
id
required
string format: uuid
target
required
string
at_ms
integer | null format: int64
body
required
string
mentions
required
Array<string>
author_user_id
string | null format: uuid
author_name
string | null
resolved_at
string | null
created_at
required
string
edited_at
string | null
can_edit
required
boolean
next_cursor
string | null format: uuid
Example generated
{
"comments": [
{
"mention_delivery": {
"queued": 1,
"failed": 1
},
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"target": "example",
"at_ms": 1,
"body": "example",
"mentions": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"author_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"author_name": "example",
"resolved_at": "example",
"created_at": "example",
"edited_at": "example",
"can_edit": true
}
],
"next_cursor": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Invalid target or cursor